package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFCK6 extends MwfRequest<MWFCK6, MWFCK6Response> {

    @Parameter(name = "CLIENT_TYPE")
    MWFCK6 clientType(String clientType);
    @Parameter(name = "CONTRACT_ID")
    MWFCK6 contractId(String contractId);
    @Parameter(name = "CONTRACT_SYSTEM")
    MWFCK6 contractSystem(String contractSystem);
    @Parameter(name = "DISTR_CHANNEL_ID")
    MWFCK6 distrChannelId(String distrChannelId);
    @Parameter(name = "ICO")
    MWFCK6 ico(String ico);
    @Parameter(name = "NAME")
    MWFCK6 name(String name);
    @Parameter(name = "ONLINE_CHECK")
    MWFCK6 onlineCheck(Long onlineCheck);
    @Parameter(name = "POS_ID")
    MWFCK6 posId(String posId);
    @Parameter(name = "SURNAME")
    MWFCK6 surname(String surname);
}
